<%@ Page Language="C#" AutoEventWireup="true" debug="true" CodePage="65001" %>




<script type="text/javascript" src="/PaiPaiJS/jquery-1.4.2.js?1000"></script>
<script type="text/javascript" src="/artDialog4.1.1/artDialog.js?skin=default"></script>
<script type="text/javascript" src="/artDialog4.1.1/artDialog.iframeTools.js"></script>

<script type="text/javascript" src="/PaiPaiJS/artTool.js?t=2010"></script>
<script type="text/javascript" src="/PaiPaiJS/Common_Main.js?t=2010"></script>
<script type="text/javascript" src="/PaiPaiJS/jquery.tips.js?1000"></script>




<style>
hr
{
	color:red;
	size:1px;
	height:1px;
}
</style>

<a href="?flag=1" >刷新登陆</a> | 
<a href="?flag=2" >刷新登陆2</a> | 
<a href="?flag=3" >清理登陆</a> |
<a href="?flag=0" >检查信息</a> | 

<a href="default/default.aspx" href1="/admin/index.aspx?s=/admin/Default" target="_blank">进入后台</a>

?WMI=1061&MTF=1060


<script language="C#" runat="server" >
public void ShowInfo()
{
	Response.Write("["+ WinLibClass.WorkLogic.Manage.AgentBase.CurrentAgent.Module.Cache_SessionManage.CurrentUserUidGet() + "]");
	Response.Write("["+ WinLibClass.WorkLogic.Manage.AgentBase.CurrentAgent.Cache_SessionManage.CurrentUserAdminTypeGet() + "]");
	WinLibClass.Entity.Cache.AdminType SystemType = (WinLibClass.Entity.Cache.AdminType)(WinLibClass.WorkLogic.Manage.AgentBase.
	CurrentAgent.Module.Cache_SessionManage.CurrentUserAdminTypeGet());
 
 	Response.Write(SystemType);
}
</script>


<%
//WinLibClass.WorkLogic.Admin.Utils.SetSessionId("1", "1000");
//WinLibClass.WorkLogic.Manage.AgentBase.CurrentAgent.Cache_CookieManage.CurrentUserUidAdd(1);

//WinLibClass.WorkLogic.Admin.Utils.SetSessionId(1, 1000);

int flag = WinLibClass.Common.DNTRequest.GetInt("flag", 0);
switch(flag)
{
	case 0:
 		break;
 
 	case 1:	
 		WinLibClass.WorkLogic.Manage.AgentBase.CurrentAgent.Cache_SessionManage.CurrentUserUidAdd(1,1000);
 		break;
 	case 2:
		WinLibClass.WorkLogic.Manage.AgentBase.CurrentAgent.Cache_SessionManage.CurrentUserUidAdd(3,1);
 		break; 
 	case 3:
 	WinLibClass.WorkLogic.Manage.AgentBase.CurrentAgent.Cache_SessionManage.CurrentUserUidClear();
 	break;
 	
 
 	default:
 		break;
}
	ShowInfo();
%>
<hr />	
<a href="/index.aspx" target="_blank">进入前台</a> 
<hr />
<div style="color:#FF0000"><%=WinLibClass.Cache.SessionUtils.Provider.SessionID%></div>
<hr />
onclick="location.replace(location.href);"

//
<%=WinLibClass.WorkLogic.Manage.Session.SessionManage.Provider.CurrentUserUidGet()%>

<script>
//ShowPicTemplate("abc","url");
</script>